import {Request} from './lifecycle/Request'
import {Container, Inject} from '../di'
import {CanonicalItemClass} from '../support/CanonicalReceiver'

/**
 * Base class for controllers that define methods that
 * handle HTTP requests.
 */
export class Controller extends CanonicalItemClass {
    @Inject()
    protected readonly request!: Request

    protected container(): Container {
        return this.request
    }
}
